diff -bwrc /net/fly/b4/srs/odd/arglist.sdl odd/arglist.sdl
*** /net/fly/b4/srs/odd/arglist.sdl	Tue Sep  5 11:23:44 1995
--- odd/arglist.sdl	Sat Sep  9 10:52:21 1995
***************
*** 68,74 ****
      #arg /name="-t"    /parameter="printText"
      #arg /name="-d"    /parameter="printData"
      #arg /name="-fse"  /parameter="listFSE"     ! dgg added
! 		#arg /name="-tdir" /parameter="tempDirName" ! dgg
      #arg /name="-f"    /parameter="fieldList"
      #arg /name="-l"    /parameter="libList" 
      #arg /name="-w"    /parameter="makeWild"
--- 68,74 ----
      #arg /name="-t"    /parameter="printText"
      #arg /name="-d"    /parameter="printData"
      #arg /name="-fse"  /parameter="listFSE"     ! dgg added
!     #arg /name="-tdir"  /parameter="tempDirName"     ! dgg added
      #arg /name="-f"    /parameter="fieldList"
      #arg /name="-l"    /parameter="libList" 
      #arg /name="-w"    /parameter="makeWild"
diff -bwrc /net/fly/b4/srs/odd/genbank.sdl% odd/genbank.sdl%
*** /net/fly/b4/srs/odd/genbank.sdl%	Tue Sep  5 11:25:02 1995
--- odd/genbank.sdl%	Fri Oct 13 16:38:23 1995
***************
*** 15,21 ****
      /maxIndexSizeKb=11330 ! 11330 comment.inx, was 3200
  {
      #file /name=gbbct 
!     #file /name=gbest 
      #file /name=gbinv 
      #file /name=gbmam 
      #file /name=gbpat 
--- 15,22 ----
      /maxIndexSizeKb=11330 ! 11330 comment.inx, was 3200
  {
      #file /name=gbbct 
!     #file /name=gbest1
!     #file /name=gbest2
      #file /name=gbinv 
      #file /name=gbmam 
      #file /name=gbpat 
diff -bwrc /net/fly/b4/srs/odd/hyperlink.sdl% odd/hyperlink.sdl%
*** /net/fly/b4/srs/odd/hyperlink.sdl%	Thu Aug 17 11:26:45 1995
--- odd/hyperlink.sdl%	Thu Sep 21 12:32:50 1995
***************
*** 93,104 ****
      /parse=feature /parser=@INSERTLINK_PARSER
  #hyperlink /field=@EMNEW_FEATURES_FIELD
      /parse=feature /parser=@INSERTLINK_PARSER
! #hyperlink /field=@GENBANK_RM_FIELD
      /parse=genbank_medline /parser=@INSERTLINK_PARSER
  #hyperlink /field=@GENBANK_FEATURES_FIELD
      /parse=gbfeature /parser=@INSERTLINK_PARSER
  #hyperlink /field=@GBNEW_FEATURES_FIELD
      /parse=gbfeature /parser=@INSERTLINK_PARSER
  #hyperlink /field=@SWISSPROT_FEATURES_FIELD
      /parse=feature /parser=@INSERTLINK_PARSER
  #hyperlink /field=@SWISSNEW_FEATURES_FIELD
--- 93,108 ----
      /parse=feature /parser=@INSERTLINK_PARSER
  #hyperlink /field=@EMNEW_FEATURES_FIELD
      /parse=feature /parser=@INSERTLINK_PARSER
!     
! #hyperlink /field=@GENBANK_MEDLINE_FIELD
      /parse=genbank_medline /parser=@INSERTLINK_PARSER
+ #hyperlink /field=@GBNEW_MEDLINE_FIELD
+     /parse=genbank_medline /parser=@INSERTLINK_PARSER
  #hyperlink /field=@GENBANK_FEATURES_FIELD
      /parse=gbfeature /parser=@INSERTLINK_PARSER
  #hyperlink /field=@GBNEW_FEATURES_FIELD
      /parse=gbfeature /parser=@INSERTLINK_PARSER
+     
  #hyperlink /field=@SWISSPROT_FEATURES_FIELD
      /parse=feature /parser=@INSERTLINK_PARSER
  #hyperlink /field=@SWISSNEW_FEATURES_FIELD
***************
*** 139,144 ****
--- 143,153 ----
  
  #PARSER /id=%INSERTLINK_PARSER /newline="\n" /ignore=" "
          /convert=upper /#BNF = 
+ 
+ ! dgg - parse for 'FlyBase:  FBgn0000490' in genbank, gbnew...
+ 
+ genbank_flybase   = 'FlyBase:' <nocase> 'FB' ~a-z0-9~<wrt c=@FETCH_FLYBASE f=@F_INSERTHLINK>;
+ 
  genbank_medline   = 'MEDLINE   ' ~0-9~<wrt c=@FETCH_MEDLINE f=@F_INSERTHLINK>;
  swissprot_medline = 'RM   ' ~0-9~<wrt c=@FETCH_MEDLINE f=@F_INSERTHLINK>;
  swissprot_prosite = 'DR   ' 'PROSITE;' ~A-Z0-9~ <wrt c=@FETCH_PROSITE f=@F_INSERTHLINK>;
***************
*** 145,151 ****
  swissprotdr       = 'DR   ' [emblref | prositeref | pirref | pdbref | swisspageref | omimref | flybaseref]; 
  embldr            = 'DR   ' [swissprotref | flybaseref];
  omimref           = 'MIM;' ~A-Z0-9~ <wrt c=@FETCH_OMIM f=@F_INSERTHLINK>;
! flybaseref        = 'FLYBASE;' ~0-9~';'~a-zA-Z0-9\-~ <wrt c=@FETCH_FLYBASE f=@F_INSERTHLINK>;
  swisspageref      = 'SWISS-2DPAGE;' ~A-Z0-9~ <wrt c=@FETCH_SWISS2DPAGE f=@F_INSERTHLINK>;
  emblref           = 'EMBL;' ~A-Z0-9~ ';' ~A-Z0-9~ <wrt c=@FETCH_EMBL f=@F_INSERTHLINK>;
  pirref            = 'PIR;' ~A-Z0-9~ ';' ~A-Z0-9~ <wrt c=@FETCH_PIR f=@F_INSERTHLINK>;
--- 154,162 ----
  swissprotdr       = 'DR   ' [emblref | prositeref | pirref | pdbref | swisspageref | omimref | flybaseref]; 
  embldr            = 'DR   ' [swissprotref | flybaseref];
  omimref           = 'MIM;' ~A-Z0-9~ <wrt c=@FETCH_OMIM f=@F_INSERTHLINK>;
! flybaseref        = 'FLYBASE;' ~a-zA-Z0-9\-~ <wrt c=@FETCH_FLYBASE f=@F_INSERTHLINK>;
! ! this one is bad (dgg)
! !flybaseref        = 'FLYBASE;' ~0-9~';'~a-zA-Z0-9\-~ <wrt c=@FETCH_FLYBASE f=@F_INSERTHLINK>;
  swisspageref      = 'SWISS-2DPAGE;' ~A-Z0-9~ <wrt c=@FETCH_SWISS2DPAGE f=@F_INSERTHLINK>;
  emblref           = 'EMBL;' ~A-Z0-9~ ';' ~A-Z0-9~ <wrt c=@FETCH_EMBL f=@F_INSERTHLINK>;
  pirref            = 'PIR;' ~A-Z0-9~ ';' ~A-Z0-9~ <wrt c=@FETCH_PIR f=@F_INSERTHLINK>;
***************
*** 209,218 ****
  !
  ! features
  !
  feature    = 'FT' ('CDS     '<wrt c=@FETCH_CDS f=@F_INSERTFEATURE>|
               ~a-zA-Z0-9\-_~ <wrt c=@FETCH_FEATURE f=@F_INSERTFEATURE>);
! gbfeature  = '     '<noskip> ('CDS     '<wrt c=@FETCH_CDS f=@F_INSERTFEATURE>|
!              ~a-zA-Z0-9\-_~ <wrt c=@FETCH_FEATURE f=@F_INSERTFEATURE>);
  ! 
  
  fsspref    = ~*~ <not> '\n' <noskip> ~*~ <not> '\n' <noskip> 
--- 220,241 ----
  !
  ! features
  !
+ 
  feature    = 'FT' ('CDS     '<wrt c=@FETCH_CDS f=@F_INSERTFEATURE>|
               ~a-zA-Z0-9\-_~ <wrt c=@FETCH_FEATURE f=@F_INSERTFEATURE>);
! 
! gbfbnote   = 'FlyBase:'  ~a-zA-Z0-9~ <wrt c=@FETCH_FLYBASE f=@F_INSERTHLINK> ;
! gbnoteword = ( gbfbnote | ~;"~ <not> );
! !gbnote     = '/note="'  gbnoteword ( '"' | ';' gbnoteword );
! gbnote     = /FlyBase/ ':' ~a-zA-Z0-9~ <wrt c=@FETCH_FLYBASE f=@F_INSERTHLINK>;
! 
! gbfeature  = '     '<noskip> 
!              ('CDS     '<wrt c=@FETCH_CDS f=@F_INSERTFEATURE> 
!              | gbnote
!              | ~a-zA-Z0-9\-_~ <wrt c=@FETCH_FEATURE f=@F_INSERTFEATURE> );
! 
! !flygeneref2       =  'FBgn' <wrt> ~0-9~ <app c=@FETCH_FLYBASE f=@F_INSERTHLINK> ; 
! !'FB' ~a-z0-9~ <wrt c=@FETCH_FLYBASE f=@F_INSERTHLINK> 
  ! 
  
  fsspref    = ~*~ <not> '\n' <noskip> ~*~ <not> '\n' <noskip> 
Only in /net/fly/b4/srs/odd: hyperlink1.sdl
Common subdirectories: /net/fly/b4/srs/odd/new and odd/new
Common subdirectories: /net/fly/b4/srs/odd/old and odd/old
Only in odd: srsdb.sdl%
diff -bwrc /net/fly/b4/srs/odd/old/genbank.sdl odd/old/genbank.sdl
*** /net/fly/b4/srs/odd/old/genbank.sdl	Sat Oct 14 11:02:05 1995
--- odd/old/genbank.sdl	Sat Oct 14 10:25:34 1995
***************
*** 15,22 ****
      /maxIndexSizeKb=11330 ! 11330 comment.inx, was 3200
  {
      #file /name=gbbct 
!     #file /name=gbest1
!     #file /name=gbest2
      #file /name=gbinv 
      #file /name=gbmam 
      #file /name=gbpat 
--- 15,22 ----
      /maxIndexSizeKb=11330 ! 11330 comment.inx, was 3200
  {
      #file /name=gbbct 
! !    #file /name=gbest1
! !    #file /name=gbest2
      #file /name=gbinv 
      #file /name=gbmam 
      #file /name=gbpat 
***************
*** 99,104 ****
--- 99,109 ----
             /itype=key /ftype=@DF_MEDLINELINK /idtype=@SRSxSEQID
             /find=medlineid /begstr="MEDLINE" /begleft=3 / begright=3 /nextstr="        " 
             /relIndexSize=0.1 
+     !#field /gblid=%GENBANK_MEDLINE_FIELD
+     !       /itype=link /ftype=@DF_LINK /idtype=@SRSxSEQID
+     !       /begstr="MEDLINE" /begleft=3 / begright=3 /nextstr="        " 
+     !       /find=num /suppress_error=yes
+     !       /relIndexSize=0.1
      
      !comment
      #field /itype=key /ftype=@DF_COMMENT /find=comment /idtype=@SRSxSEQID
diff -bwrc /net/fly/b4/srs/odd/old/hyperlink.sdl odd/old/hyperlink.sdl
*** /net/fly/b4/srs/odd/old/hyperlink.sdl	Sat Oct 14 11:02:06 1995
--- odd/old/hyperlink.sdl	Sat Oct 14 10:25:35 1995
***************
*** 223,232 ****
  
  feature    = 'FT' ('CDS     '<wrt c=@FETCH_CDS f=@F_INSERTFEATURE>|
               ~a-zA-Z0-9\-_~ <wrt c=@FETCH_FEATURE f=@F_INSERTFEATURE>);
  gbfeature  = '     '<noskip> 
               ('CDS     '<wrt c=@FETCH_CDS f=@F_INSERTFEATURE> 
!              | '/note="' ~"~ <not> 'FlyBase: ' flygeneref2  
               | ~a-zA-Z0-9\-_~ <wrt c=@FETCH_FEATURE f=@F_INSERTFEATURE> ); 
  !'FB' ~a-z0-9~ <wrt c=@FETCH_FLYBASE f=@F_INSERTHLINK> 
  ! 
  
--- 223,240 ----
  
  feature    = 'FT' ('CDS     '<wrt c=@FETCH_CDS f=@F_INSERTFEATURE>|
               ~a-zA-Z0-9\-_~ <wrt c=@FETCH_FEATURE f=@F_INSERTFEATURE>);
+ 
+ gbfbnote   = 'FlyBase:'  ~a-zA-Z0-9~ <wrt c=@FETCH_FLYBASE f=@F_INSERTHLINK> ;
+ gbanyword  <not> = ~;"~  ;
+ gbnoteword = ( gbfbnote | gbanyword );
+ gbnote     = '/note="'  gbnoteword ( '"' | ';' gbnoteword );
+ 
  gbfeature  = '     '<noskip> 
               ('CDS     '<wrt c=@FETCH_CDS f=@F_INSERTFEATURE> 
!              | gbnote
               | ~a-zA-Z0-9\-_~ <wrt c=@FETCH_FEATURE f=@F_INSERTFEATURE> );
+ 
+ !flygeneref2       =  'FBgn' <wrt> ~0-9~ <app c=@FETCH_FLYBASE f=@F_INSERTHLINK> ; 
  !'FB' ~a-z0-9~ <wrt c=@FETCH_FLYBASE f=@F_INSERTHLINK> 
  ! 
  
.
